Function
value
Reference to the value.
Reference value(object)
Reference value(container, position)
value(file,it)
Include Headers
seqan/basic.h, seqan/blast.h, seqan/graph_types.h, seqan/sequence.h ???Anti Default Sequences
Parameters

container | A container of values. Types: AlignCols, char array, Gaps, Segment, std::basic_string, std::vector, String
object | An object that holds a value or an iterator that points to a value. Types: Iterator: BottomUp Iterator, Iter, ModifiedIterator, TopDownHistory Iterator Adjacency Iterator, Bfs Iterator, Dfs Preorder Iterator, Edge Iterator, HitIterator, Holder, Holder, HspIterator, Out-Edge Iterator, Shape, StringSet, Vertex Iterator, VSTree Iterator
position | A position in container on which the value should be accessed.
file | A file stream.
it | An iterator. Types: HitIterator, HspIterator

Return Values
A reference or proxy to the value.
Metafunctions: Reference
Example Programs
Iterator Basics
Part of Concept
Container, Iterator
See Also
front, back, iter, getValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49